﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login'
          }
        ]
      },
      {
        component: './404'
      }
    ]
  },
  {
    path: '/',
    redirect: '/project/management'
  },
  {
    path: '/project',
    name: 'project',
    icon: 'AppstoreOutlined',
    routes: [
      {
        path: '/project',
        redirect: '/project/management'
      },
      {
        path: '/project/management',
        name: 'management',
        routes: [
          {
            path: '/project/management',
            redirect: '/project/management/list'
          },
          {
            path: '/project/management/list',
            name: 'list',
            hideInMenu: true,
            component: './Project/Management/List'
          },
          {
            path: '/project/management/detail',
            name: 'detail',
            hideInMenu: true,
            component: './Project/Management/Detail'
          }
        ]
      },
      {
        path: '/project/verification',
        name: 'verification',
        component: './Project/Verification'
      }
    ]
  },
  {
    path: 'institutions',
    name: 'institutions',
    icon: 'BankOutlined',
    routes: [
      {
        path: '/institutions',
        redirect: '/institutions/company'
      },
      {
        path: 'company',
        name: 'company',
        routes: [
          {
            path: '/institutions/company',
            redirect: '/institutions/company/list'
          },
          {
            path: 'list',
            name: 'list',
            hideInMenu: true,
            component: './Institutions/Company/List'
          },
          {
            path: 'detail',
            name: 'detail',
            hideInMenu: true,
            component: './Institutions/Company/Detail'
          }
        ]
      },
      {
        path: 'staff',
        name: 'staff',
        component: './Institutions/Staff'
      }
    ]
  },
  {
    path: 'business',
    name: 'business',
    icon: 'Audit',
    routes: [
      {
        path: '/business',
        redirect: '/business/inventory'
      },
      {
        path: 'inventory',
        name: 'inventory',
        component: './Business/Inventory'
      }
    ]
  },
  {
    path: '/work-setting',
    name: 'work-setting',
    icon: 'ControlOutlined',
    routes: [
      {
        path: 'schema',
        name: 'schema',
        icon: 'icon-schema',
        component: './Schema/Base/index.tsx'
      },
      {
        path: '/work-setting/schema/detail',
        name: 'schema-detail',
        hideInMenu: true,
        component: './Schema/Base/detail.tsx'
      },
      {
        path: 'option',
        name: 'option',
        component: './Schema/Option'
      },
      {
        path: 'budget',
        name: 'budget',
        component: './Schema/Budget'
      }
    ]
  },
  {
    path: 'permission',
    name: 'permission',
    icon: 'UserOutlined',
    routes: [
      {
        path: '/permission',
        redirect: '/permission/role'
      },
      {
        path: 'role',
        name: 'role',
        component: './Permission/Role'
      }
    ]
  },
  {
    path: 'system',
    name: 'system',
    icon: 'SettingOutlined',
    routes: [
      {
        path: '/system',
        redirect: '/system/admin-update'
      },
      // {
      //   path: 'setting',
      //   name: 'setting',
      //   component: './System/Setting'
      // },
      {
        path: 'admin-update',
        name: 'admin-update',
        component: './System/AdminUpdate'
      }
    ]
  },

  {
    component: './404'
  }
]
