import { queryTemplateList } from '@/services/api/schema'
import { PageContainer } from '@ant-design/pro-layout'
import React, { useState } from 'react'
import { useRequest } from 'umi'
import LeftMenu from './Components/LeftMenu'

type iState = {
  menuData: API.TemplateListItem[]
  activeID: Nullable<string>
}
const Budget = () => {
  const [state, setState] = useState<iState>({
    menuData: [],
    activeID: null,
    modalVisible: false
  })
  const { run: tryFetchTemplateList } = useRequest(queryTemplateList, {
    onSuccess: (result: API.TemplateListItem) => {
      setState({
        ...state,
        menuData: result
      })
    }
  })
  const onSelect = (key: string) => {
    setState({ ...state, activeID: key })
  }
  return (
    <PageContainer title={false}>
      <div className="h-full w-full flex flex-row">
        <LeftMenu
          onSelect={onSelect}
          options={state.menuData}
          initFn={() => tryFetchTemplateList()}
        />
        <div className="w-6/7 ml-8 bg-white p-4  rounded-20px shadow-hex-3e2c5a relative">
          表单详情
        </div>
      </div>
    </PageContainer>
  )
}

export default Budget
